#### **十进制转换成二进制**

将一个十进制数转换为二进制数的方法是通过**模运算**（求余数）进行的。具体步骤如下：

##### **步骤：**
1. 用十进制数除以2，记录余数。
2. 将商继续除以2，继续记录余数。
3. 重复此过程，直到商为0为止。
4. 将所有余数倒序排列，即为该十进制数对应的二进制表示。

##### **示例：**
将十进制数 `153` 转换为二进制：
```
153 ÷ 2 = 76 余 1
 76 ÷ 2 = 38 余 0
 38 ÷ 2 = 19 余 0
 19 ÷ 2 = 9  余 1
  9 ÷ 2 = 4  余 1
  4 ÷ 2 = 2  余 0
  2 ÷ 2 = 1  余 0
  1 ÷ 2 = 0  余 1
```
将余数倒序排列，得到 `153` 的二进制表示为：`10011001`

---

#### **二进制转换成十进制**

将二进制数转换为十进制数的方法是通过将每一位的数值乘以2的幂次方，然后求和。具体步骤如下：

##### **步骤：**
1. 从二进制数的最低位开始，每一位数乘以2的对应幂次方（从0开始计数）。
2. 将所有结果相加，得到的即是对应的十进制数。

##### **示例：**
将二进制数 `1001101` 转换为十进制：
```
1 * 2^6 = 64
0 * 2^5 = 0
0 * 2^4 = 0
1 * 2^3 = 8
1 * 2^2 = 4
0 * 2^1 = 0
1 * 2^0 = 1
```
求和得到：`64 + 8 + 4 + 1 = 77`

因此，二进制数 `1001101` 对应的十进制数为：`77`

---

#### **总结**
- **十进制转二进制**：通过不断除以2并记录余数，最终将余数倒序排列。
- **二进制转十进制**：通过每一位乘以对应的2的幂次方，并将结果相加。

在计算机科学中，理解进制转换是非常重要的，因为不同进制在不同场景下有着广泛的应用。通过这些转换方法，能够轻松在不同进制之间切换，理解数字在不同进制下的表示方式，虽然表示不同，但数学意义是相同的。